#include <opnet.h>
#include <ema.h>
#include <opnet_emadefs.h>
#include <opnet_constants.h>



/* array for all textlist attributes in model */
Prg_List*		prg_lptr [19];

/* array for all objects in model */
EmaT_Object_Id		obj [35];



int
main (int argc, char* argv [])
	{
	EmaT_Model_Id			model_id;
	int					i;

	/* initialize EMA package */
	Ema_Init (EMAC_MODE_ERR_PRINT | EMAC_MODE_REL_60, argc, argv);

	/* create an empty model */
	model_id = Ema_Model_Create (MOD_NETWORK);



	/* create all objects */
	obj [0] = Ema_Object_Create (model_id, OBJ_NT_SUBNET_FIX);
	obj [1] = Ema_Object_Create (model_id, OBJ_NT_SUBNET_VIEW);
	obj [2] = Ema_Object_Create (model_id, OBJ_NT_NODE_FIXED);
	obj [3] = Ema_Object_Create (model_id, OBJ_NT_NODE_FIXED);
	obj [4] = Ema_Object_Create (model_id, OBJ_ATTR_PROPS);
	obj [5] = Ema_Object_Create (model_id, OBJ_ATTR_PROPS);
	obj [6] = Ema_Object_Create (model_id, OBJ_ATTR_PROPS);
	obj [7] = Ema_Object_Create (model_id, OBJ_NT_NODE_FIXED);
	obj [8] = Ema_Object_Create (model_id, OBJ_NT_NODE_FIXED);
	obj [9] = Ema_Object_Create (model_id, OBJ_NT_NODE_FIXED);
	obj [10] = Ema_Object_Create (model_id, OBJ_NT_NODE_FIXED);
	obj [11] = Ema_Object_Create (model_id, OBJ_NT_NODE_FIXED);
	obj [12] = Ema_Object_Create (model_id, OBJ_NT_PTDUP_LINK);
	obj [13] = Ema_Object_Create (model_id, OBJ_NT_POS);
	obj [14] = Ema_Object_Create (model_id, OBJ_NT_POS);
	obj [15] = Ema_Object_Create (model_id, OBJ_NT_PTDUP_LINK);
	obj [16] = Ema_Object_Create (model_id, OBJ_NT_POS);
	obj [17] = Ema_Object_Create (model_id, OBJ_NT_POS);
	obj [18] = Ema_Object_Create (model_id, OBJ_NT_PTDUP_LINK);
	obj [19] = Ema_Object_Create (model_id, OBJ_NT_POS);
	obj [20] = Ema_Object_Create (model_id, OBJ_NT_POS);
	obj [21] = Ema_Object_Create (model_id, OBJ_NT_PTDUP_LINK);
	obj [22] = Ema_Object_Create (model_id, OBJ_NT_POS);
	obj [23] = Ema_Object_Create (model_id, OBJ_NT_POS);
	obj [24] = Ema_Object_Create (model_id, OBJ_NT_PTDUP_LINK);
	obj [25] = Ema_Object_Create (model_id, OBJ_NT_POS);
	obj [26] = Ema_Object_Create (model_id, OBJ_NT_POS);
	obj [27] = Ema_Object_Create (model_id, OBJ_NT_PTDUP_LINK);
	obj [28] = Ema_Object_Create (model_id, OBJ_NT_POS);
	obj [29] = Ema_Object_Create (model_id, OBJ_NT_POS);
	obj [30] = Ema_Object_Create (model_id, OBJ_NT_ISO_ELEV_MAP_COLOR_SETTING);
	obj [31] = Ema_Object_Create (model_id, OBJ_NT_ISO_ELEV_MAP_COLOR_SETTING);
	obj [32] = Ema_Object_Create (model_id, OBJ_NT_ISO_ELEV_MAP_COLOR_SETTING);
	obj [33] = Ema_Object_Create (model_id, OBJ_NT_ISO_ELEV_MAP_COLOR_SETTING);
	obj [34] = Ema_Object_Create (model_id, OBJ_NT_ISO_ELEV_MAP_COLOR_SETTING);


	/* assign attrs for object 'obj [4]' */
	/* create and init prg list 'prg_lptr [4]' */
	prg_lptr [4] = (Prg_List *)prg_list_create ();
	Ema_Object_Attr_Set (model_id, obj [4], 
		"units",                COMP_CONTENTS, "",
		"default value",        COMP_CONTENTS_TYPE, EMAC_DOUBLE,
		"default value",        COMP_CONTENTS, (double) 0,
		"comments",             COMP_CONTENTS, prg_lptr [4],
		"symbol map list",      COMP_INTENDED, EMAC_DISABLED,
		"flags",                COMP_CONTENTS, 0,
		"data type",            COMP_CONTENTS, 1,
		"count properties",     COMP_INTENDED, EMAC_DISABLED,
		"list attribute definitions",COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);


	/* assign attrs for object 'obj [5]' */
	/* create and init prg list 'prg_lptr [5]' */
	prg_lptr [5] = (Prg_List *)prg_list_create ();
	Ema_Object_Attr_Set (model_id, obj [5], 
		"units",                COMP_CONTENTS, "",
		"default value",        COMP_CONTENTS_TYPE, EMAC_STRING,
		"default value",        COMP_CONTENTS, "",
		"comments",             COMP_CONTENTS, prg_lptr [5],
		"symbol map list",      COMP_INTENDED, EMAC_DISABLED,
		"flags",                COMP_CONTENTS, 0,
		"data type",            COMP_CONTENTS, 3,
		"count properties",     COMP_INTENDED, EMAC_DISABLED,
		"list attribute definitions",COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);


	/* assign attrs for object 'obj [6]' */
	/* create and init prg list 'prg_lptr [6]' */
	prg_lptr [6] = (Prg_List *)prg_list_create ();
	Ema_Object_Attr_Set (model_id, obj [6], 
		"units",                COMP_CONTENTS, "",
		"default value",        COMP_CONTENTS_TYPE, EMAC_INTEGER,
		"default value",        COMP_CONTENTS, 0,
		"comments",             COMP_CONTENTS, prg_lptr [6],
		"symbol map list",      COMP_INTENDED, EMAC_DISABLED,
		"flags",                COMP_CONTENTS, 0,
		"data type",            COMP_CONTENTS, 0,
		"count properties",     COMP_INTENDED, EMAC_DISABLED,
		"list attribute definitions",COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);




	/* set the model level attributes */
	/* create and init prg list 'prg_lptr [0]' */
	prg_lptr [0] = (Prg_List *)prg_list_create ();
	/* create and init prg list 'prg_lptr [1]' */
	prg_lptr [1] = (Prg_List *)prg_list_create ();
	prg_list_strings_append (prg_lptr [1], 
		"custom_model_list",
		"megaco_palette",
		PRGC_NIL);

	/* create and init prg list 'prg_lptr [2]' */
	prg_lptr [2] = (Prg_List *)prg_list_create ();
	Ema_Model_Attr_Set (model_id,
		"ext fileset",          COMP_CONTENTS, prg_lptr [0],
		"keywords list",        COMP_CONTENTS, prg_lptr [1],
		"view subnet",          COMP_CONTENTS, obj [0],
		"iso elev map color levels",COMP_ARRAY_CONTENTS (0), obj [30],
		"iso elev map color levels",COMP_ARRAY_CONTENTS (1), obj [31],
		"iso elev map color levels",COMP_ARRAY_CONTENTS (2), obj [32],
		"iso elev map color levels",COMP_ARRAY_CONTENTS (3), obj [33],
		"iso elev map color levels",COMP_ARRAY_CONTENTS (4), obj [34],
		"iso elev map label color",COMP_CONTENTS, 0,
		"view index list",      COMP_CONTENTS, prg_lptr [2],
		EMAC_EOL);



	/* assign attrs for object 'obj [0]' */
	/* create and init prg list 'prg_lptr [3]' */
	prg_lptr [3] = (Prg_List *)prg_list_create ();
	Ema_Object_Attr_Set (model_id, obj [0], 
		"name",                 COMP_CONTENTS, "top",
		"name",                 COMP_INTENDED, EMAC_DISABLED,
		"x position",           COMP_CONTENTS, (double) 0,
		"x position",           COMP_USER_INTENDED, EMAC_ENABLED,
		"y position",           COMP_CONTENTS, (double) 0,
		"y position",           COMP_USER_INTENDED, EMAC_ENABLED,
		"x span",               COMP_CONTENTS, (double) 360,
		"x span",               COMP_USER_INTENDED, EMAC_ENABLED,
		"y span",               COMP_CONTENTS, (double) 180,
		"y span",               COMP_USER_INTENDED, EMAC_ENABLED,
		"icon name",            COMP_CONTENTS, "subnet",
		"icon name",            COMP_INTENDED, EMAC_DISABLED,
		"subnet",               COMP_CONTENTS, EMAC_NULL_OBJ_ID,
		"view stack",           COMP_ARRAY_CONTENTS (0), obj [1],
		"grid unit",            COMP_CONTENTS, 5,
		"ui status",            COMP_CONTENTS, 0,
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [0], 
		"iso-elev-map list",    COMP_CONTENTS, prg_lptr [3],
		"iso-elev-map line threshold",COMP_CONTENTS, (double) 50,
		"view",                 COMP_CONTENTS, "Default View",
		"view mode",            COMP_CONTENTS, 0,
		"view positions",       COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);


	/* assign attrs for object 'obj [2]' */
	Ema_Object_Attr_Set (model_id, obj [2], 
		"name",                 COMP_CONTENTS, "Router",
		"name",                 COMP_USER_INTENDED, EMAC_ENABLED,
		"model",                COMP_CONTENTS, "megaco_hub_node",
		"model",                COMP_INTENDED, EMAC_DISABLED,
		"x position",           COMP_CONTENTS, (double) -37.2,
		"x position",           COMP_INTENDED, EMAC_DISABLED,
		"y position",           COMP_CONTENTS, (double) 7.6,
		"y position",           COMP_INTENDED, EMAC_DISABLED,
		"icon name",            COMP_CONTENTS, "hub",
		"icon name",            COMP_INTENDED, EMAC_DISABLED,
		"doc file",             COMP_CONTENTS, "",
		"doc file",             COMP_INTENDED, EMAC_DISABLED,
		"subnet",               COMP_CONTENTS, obj [0],
		"alias",                COMP_INTENDED, EMAC_DISABLED,
		"tooltip",              COMP_CONTENTS, "MEGACO/H.248 Hub Node",
		"tooltip",              COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [2], 
		"ui status",            COMP_CONTENTS, 0,
		"view positions",       COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);


	/* assign attrs for object 'obj [3]' */
	Ema_Object_Attr_Set (model_id, obj [3], 
		"name",                 COMP_CONTENTS, "MG 1",
		"name",                 COMP_INTENDED, EMAC_DISABLED,
		"model",                COMP_CONTENTS, "megaco_mg_node",
		"model",                COMP_INTENDED, EMAC_DISABLED,
		"x position",           COMP_CONTENTS, (double) -76.4,
		"x position",           COMP_INTENDED, EMAC_DISABLED,
		"y position",           COMP_CONTENTS, (double) 19.6,
		"y position",           COMP_INTENDED, EMAC_DISABLED,
		"icon name",            COMP_CONTENTS, "PBX",
		"icon name",            COMP_INTENDED, EMAC_DISABLED,
		"doc file",             COMP_CONTENTS, "",
		"doc file",             COMP_INTENDED, EMAC_DISABLED,
		"subnet",               COMP_CONTENTS, obj [0],
		"alias",                COMP_INTENDED, EMAC_DISABLED,
		"tooltip",              COMP_CONTENTS, "MEGACO/H.248 MG Node",
		"tooltip",              COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [3], 
		"ui status",            COMP_CONTENTS, 0,
		"view positions",       COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);


	/* assign attrs for object 'obj [7]' */
	Ema_Object_Attr_Set (model_id, obj [7], 
		"name",                 COMP_CONTENTS, "MG 3",
		"name",                 COMP_USER_INTENDED, EMAC_ENABLED,
		"model",                COMP_CONTENTS, "megaco_mg_node",
		"model",                COMP_INTENDED, EMAC_DISABLED,
		"x position",           COMP_CONTENTS, (double) -37.2,
		"x position",           COMP_INTENDED, EMAC_DISABLED,
		"y position",           COMP_CONTENTS, (double) -14.4,
		"y position",           COMP_INTENDED, EMAC_DISABLED,
		"icon name",            COMP_CONTENTS, "PBX",
		"icon name",            COMP_INTENDED, EMAC_DISABLED,
		"doc file",             COMP_CONTENTS, "",
		"doc file",             COMP_INTENDED, EMAC_DISABLED,
		"subnet",               COMP_CONTENTS, obj [0],
		"alias",                COMP_INTENDED, EMAC_DISABLED,
		"tooltip",              COMP_CONTENTS, "MEGACO/H.248 MG Node",
		"tooltip",              COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [7], 
		"ui status",            COMP_CONTENTS, 0,
		"view positions",       COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);


	/* assign attrs for object 'obj [8]' */
	Ema_Object_Attr_Set (model_id, obj [8], 
		"name",                 COMP_CONTENTS, "MGC",
		"name",                 COMP_INTENDED, EMAC_DISABLED,
		"model",                COMP_CONTENTS, "megaco_mgc_node",
		"model",                COMP_USER_INTENDED, EMAC_ENABLED,
		"x position",           COMP_CONTENTS, (double) -37.2,
		"x position",           COMP_INTENDED, EMAC_DISABLED,
		"y position",           COMP_CONTENTS, (double) 36.4,
		"y position",           COMP_INTENDED, EMAC_DISABLED,
		"icon name",            COMP_CONTENTS, "wkstn",
		"icon name",            COMP_INTENDED, EMAC_DISABLED,
		"doc file",             COMP_CONTENTS, "",
		"doc file",             COMP_INTENDED, EMAC_DISABLED,
		"subnet",               COMP_CONTENTS, obj [0],
		"alias",                COMP_INTENDED, EMAC_DISABLED,
		"tooltip",              COMP_CONTENTS, "MEGACO/H.248 MGC Node",
		"tooltip",              COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [8], 
		"ui status",            COMP_CONTENTS, 0,
		"view positions",       COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);


	/* assign attrs for object 'obj [9]' */
	Ema_Object_Attr_Set (model_id, obj [9], 
		"name",                 COMP_CONTENTS, "MG 5",
		"name",                 COMP_INTENDED, EMAC_DISABLED,
		"model",                COMP_CONTENTS, "megaco_mg_node",
		"model",                COMP_INTENDED, EMAC_DISABLED,
		"x position",           COMP_CONTENTS, (double) 0.8,
		"x position",           COMP_INTENDED, EMAC_DISABLED,
		"y position",           COMP_CONTENTS, (double) 17.6,
		"y position",           COMP_INTENDED, EMAC_DISABLED,
		"icon name",            COMP_CONTENTS, "PBX",
		"icon name",            COMP_INTENDED, EMAC_DISABLED,
		"doc file",             COMP_CONTENTS, "",
		"doc file",             COMP_INTENDED, EMAC_DISABLED,
		"subnet",               COMP_CONTENTS, obj [0],
		"alias",                COMP_INTENDED, EMAC_DISABLED,
		"tooltip",              COMP_CONTENTS, "MEGACO/H.248 MG Node",
		"tooltip",              COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [9], 
		"ui status",            COMP_CONTENTS, 0,
		"view positions",       COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);


	/* assign attrs for object 'obj [10]' */
	Ema_Object_Attr_Set (model_id, obj [10], 
		"name",                 COMP_CONTENTS, "MG 2",
		"name",                 COMP_INTENDED, EMAC_DISABLED,
		"model",                COMP_CONTENTS, "megaco_mg_node",
		"model",                COMP_INTENDED, EMAC_DISABLED,
		"x position",           COMP_CONTENTS, (double) -74.8,
		"x position",           COMP_INTENDED, EMAC_DISABLED,
		"y position",           COMP_CONTENTS, (double) -8,
		"y position",           COMP_INTENDED, EMAC_DISABLED,
		"icon name",            COMP_CONTENTS, "PBX",
		"icon name",            COMP_INTENDED, EMAC_DISABLED,
		"doc file",             COMP_CONTENTS, "",
		"doc file",             COMP_INTENDED, EMAC_DISABLED,
		"subnet",               COMP_CONTENTS, obj [0],
		"alias",                COMP_INTENDED, EMAC_DISABLED,
		"tooltip",              COMP_CONTENTS, "MEGACO/H.248 MG Node",
		"tooltip",              COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [10], 
		"ui status",            COMP_CONTENTS, 0,
		"view positions",       COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);


	/* assign attrs for object 'obj [11]' */
	Ema_Object_Attr_Set (model_id, obj [11], 
		"name",                 COMP_CONTENTS, "MG 4",
		"name",                 COMP_USER_INTENDED, EMAC_ENABLED,
		"model",                COMP_CONTENTS, "megaco_mg_node",
		"model",                COMP_INTENDED, EMAC_DISABLED,
		"x position",           COMP_CONTENTS, (double) 2,
		"x position",           COMP_INTENDED, EMAC_DISABLED,
		"y position",           COMP_CONTENTS, (double) -8.4,
		"y position",           COMP_INTENDED, EMAC_DISABLED,
		"icon name",            COMP_CONTENTS, "PBX",
		"icon name",            COMP_INTENDED, EMAC_DISABLED,
		"doc file",             COMP_CONTENTS, "",
		"doc file",             COMP_INTENDED, EMAC_DISABLED,
		"subnet",               COMP_CONTENTS, obj [0],
		"alias",                COMP_INTENDED, EMAC_DISABLED,
		"tooltip",              COMP_CONTENTS, "MEGACO/H.248 MG Node",
		"tooltip",              COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [11], 
		"ui status",            COMP_CONTENTS, 0,
		"view positions",       COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);


	/* assign attrs for object 'obj [12]' */
	Ema_Object_Attr_Set (model_id, obj [12], 
		"name",                 COMP_CONTENTS, "MG 1 <-> Router",
		"name",                 COMP_INTENDED, EMAC_DISABLED,
		"model",                COMP_CONTENTS, "megaco_link_v0",
		"model",                COMP_INTENDED, EMAC_DISABLED,
		"transmitter a",        COMP_CONTENTS, "MG 1.xmt",
		"transmitter a",        COMP_INTENDED, EMAC_DISABLED,
		"transmitter b",        COMP_CONTENTS, "Router.MG1_xmt",
		"transmitter b",        COMP_USER_INTENDED, EMAC_ENABLED,
		"receiver a",           COMP_CONTENTS, "MG 1.rcv",
		"receiver a",           COMP_INTENDED, EMAC_DISABLED,
		"receiver b",           COMP_CONTENTS, "Router.MG1_recv",
		"receiver b",           COMP_USER_INTENDED, EMAC_ENABLED,
		"color",                COMP_CONTENTS, 0,
		"color",                COMP_USER_INTENDED, EMAC_ENABLED,
		"site a",               COMP_CONTENTS, obj [3],
		"site b",               COMP_CONTENTS, obj [2],
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [12], 
		"path",                 COMP_ARRAY_CONTENTS (0), obj [13],
		"path",                 COMP_ARRAY_CONTENTS (1), obj [14],
		"subnet",               COMP_CONTENTS, obj [0],
		"doc file",             COMP_CONTENTS, "",
		"doc file",             COMP_INTENDED, EMAC_DISABLED,
		"tooltip",              COMP_CONTENTS, "MEGACO LINK",
		"tooltip",              COMP_INTENDED, EMAC_DISABLED,
		"line style",           COMP_CONTENTS, "solid",
		"line style",           COMP_USER_INTENDED, EMAC_ENABLED,
		"thickness",            COMP_CONTENTS, 1,
		"thickness",            COMP_USER_INTENDED, EMAC_ENABLED,
		"arrowheads",           COMP_CONTENTS, "head and tail",
		"arrowheads",           COMP_USER_INTENDED, EMAC_ENABLED,
		"symbol",               COMP_CONTENTS, "none",
		"symbol",               COMP_USER_INTENDED, EMAC_ENABLED,
		"ui status",            COMP_CONTENTS, 0,
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [12], 
		"view paths",           COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);


	/* assign attrs for object 'obj [15]' */
	Ema_Object_Attr_Set (model_id, obj [15], 
		"name",                 COMP_CONTENTS, "Router <-> MGC",
		"name",                 COMP_INTENDED, EMAC_DISABLED,
		"model",                COMP_CONTENTS, "megaco_link_v0",
		"model",                COMP_INTENDED, EMAC_DISABLED,
		"transmitter a",        COMP_CONTENTS, "Router.MGC_xmt",
		"transmitter a",        COMP_USER_INTENDED, EMAC_ENABLED,
		"transmitter b",        COMP_CONTENTS, "MGC.xmt",
		"transmitter b",        COMP_INTENDED, EMAC_DISABLED,
		"receiver a",           COMP_CONTENTS, "Router.MGC_recv",
		"receiver a",           COMP_USER_INTENDED, EMAC_ENABLED,
		"receiver b",           COMP_CONTENTS, "MGC.rcv",
		"receiver b",           COMP_INTENDED, EMAC_DISABLED,
		"color",                COMP_CONTENTS, 0,
		"color",                COMP_USER_INTENDED, EMAC_ENABLED,
		"site a",               COMP_CONTENTS, obj [2],
		"site b",               COMP_CONTENTS, obj [8],
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [15], 
		"path",                 COMP_ARRAY_CONTENTS (0), obj [16],
		"path",                 COMP_ARRAY_CONTENTS (1), obj [17],
		"subnet",               COMP_CONTENTS, obj [0],
		"doc file",             COMP_CONTENTS, "",
		"doc file",             COMP_INTENDED, EMAC_DISABLED,
		"tooltip",              COMP_CONTENTS, "MEGACO LINK",
		"tooltip",              COMP_INTENDED, EMAC_DISABLED,
		"line style",           COMP_CONTENTS, "solid",
		"line style",           COMP_USER_INTENDED, EMAC_ENABLED,
		"thickness",            COMP_CONTENTS, 1,
		"thickness",            COMP_USER_INTENDED, EMAC_ENABLED,
		"arrowheads",           COMP_CONTENTS, "head and tail",
		"arrowheads",           COMP_USER_INTENDED, EMAC_ENABLED,
		"symbol",               COMP_CONTENTS, "none",
		"symbol",               COMP_USER_INTENDED, EMAC_ENABLED,
		"ui status",            COMP_CONTENTS, 0,
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [15], 
		"view paths",           COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);


	/* assign attrs for object 'obj [18]' */
	Ema_Object_Attr_Set (model_id, obj [18], 
		"name",                 COMP_CONTENTS, "Router <-> MG 3",
		"name",                 COMP_INTENDED, EMAC_DISABLED,
		"model",                COMP_CONTENTS, "megaco_link_v0",
		"model",                COMP_INTENDED, EMAC_DISABLED,
		"transmitter a",        COMP_CONTENTS, "Router.MG3_xmt",
		"transmitter a",        COMP_USER_INTENDED, EMAC_ENABLED,
		"transmitter b",        COMP_CONTENTS, "MG 3.xmt",
		"transmitter b",        COMP_INTENDED, EMAC_DISABLED,
		"receiver a",           COMP_CONTENTS, "Router.MG3_recv",
		"receiver a",           COMP_USER_INTENDED, EMAC_ENABLED,
		"receiver b",           COMP_CONTENTS, "MG 3.rcv",
		"receiver b",           COMP_INTENDED, EMAC_DISABLED,
		"color",                COMP_CONTENTS, 0,
		"color",                COMP_USER_INTENDED, EMAC_ENABLED,
		"site a",               COMP_CONTENTS, obj [2],
		"site b",               COMP_CONTENTS, obj [7],
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [18], 
		"path",                 COMP_ARRAY_CONTENTS (0), obj [19],
		"path",                 COMP_ARRAY_CONTENTS (1), obj [20],
		"subnet",               COMP_CONTENTS, obj [0],
		"doc file",             COMP_CONTENTS, "",
		"doc file",             COMP_INTENDED, EMAC_DISABLED,
		"tooltip",              COMP_CONTENTS, "MEGACO LINK",
		"tooltip",              COMP_INTENDED, EMAC_DISABLED,
		"line style",           COMP_CONTENTS, "solid",
		"line style",           COMP_USER_INTENDED, EMAC_ENABLED,
		"thickness",            COMP_CONTENTS, 1,
		"thickness",            COMP_USER_INTENDED, EMAC_ENABLED,
		"arrowheads",           COMP_CONTENTS, "head and tail",
		"arrowheads",           COMP_USER_INTENDED, EMAC_ENABLED,
		"symbol",               COMP_CONTENTS, "none",
		"symbol",               COMP_USER_INTENDED, EMAC_ENABLED,
		"ui status",            COMP_CONTENTS, 0,
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [18], 
		"view paths",           COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);


	/* assign attrs for object 'obj [21]' */
	Ema_Object_Attr_Set (model_id, obj [21], 
		"name",                 COMP_CONTENTS, "Router <-> MG 5",
		"name",                 COMP_INTENDED, EMAC_DISABLED,
		"model",                COMP_CONTENTS, "megaco_link_v0",
		"model",                COMP_INTENDED, EMAC_DISABLED,
		"transmitter a",        COMP_CONTENTS, "Router.MG5_xmt",
		"transmitter a",        COMP_USER_INTENDED, EMAC_ENABLED,
		"transmitter b",        COMP_CONTENTS, "MG 5.xmt",
		"transmitter b",        COMP_INTENDED, EMAC_DISABLED,
		"receiver a",           COMP_CONTENTS, "Router.MG5_recv",
		"receiver a",           COMP_USER_INTENDED, EMAC_ENABLED,
		"receiver b",           COMP_CONTENTS, "MG 5.rcv",
		"receiver b",           COMP_INTENDED, EMAC_DISABLED,
		"color",                COMP_CONTENTS, 0,
		"color",                COMP_USER_INTENDED, EMAC_ENABLED,
		"site a",               COMP_CONTENTS, obj [2],
		"site b",               COMP_CONTENTS, obj [9],
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [21], 
		"path",                 COMP_ARRAY_CONTENTS (0), obj [22],
		"path",                 COMP_ARRAY_CONTENTS (1), obj [23],
		"subnet",               COMP_CONTENTS, obj [0],
		"doc file",             COMP_CONTENTS, "",
		"doc file",             COMP_INTENDED, EMAC_DISABLED,
		"tooltip",              COMP_CONTENTS, "MEGACO LINK",
		"tooltip",              COMP_INTENDED, EMAC_DISABLED,
		"line style",           COMP_CONTENTS, "solid",
		"line style",           COMP_USER_INTENDED, EMAC_ENABLED,
		"thickness",            COMP_CONTENTS, 1,
		"thickness",            COMP_USER_INTENDED, EMAC_ENABLED,
		"arrowheads",           COMP_CONTENTS, "head and tail",
		"arrowheads",           COMP_USER_INTENDED, EMAC_ENABLED,
		"symbol",               COMP_CONTENTS, "none",
		"symbol",               COMP_USER_INTENDED, EMAC_ENABLED,
		"ui status",            COMP_CONTENTS, 0,
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [21], 
		"view paths",           COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);


	/* assign attrs for object 'obj [24]' */
	Ema_Object_Attr_Set (model_id, obj [24], 
		"name",                 COMP_CONTENTS, "Router <-> MG 2",
		"name",                 COMP_INTENDED, EMAC_DISABLED,
		"model",                COMP_CONTENTS, "megaco_link_v0",
		"model",                COMP_INTENDED, EMAC_DISABLED,
		"transmitter a",        COMP_CONTENTS, "Router.MG2_xmt",
		"transmitter a",        COMP_USER_INTENDED, EMAC_ENABLED,
		"transmitter b",        COMP_CONTENTS, "MG 2.xmt",
		"transmitter b",        COMP_INTENDED, EMAC_DISABLED,
		"receiver a",           COMP_CONTENTS, "Router.MG2_recv",
		"receiver a",           COMP_USER_INTENDED, EMAC_ENABLED,
		"receiver b",           COMP_CONTENTS, "MG 2.rcv",
		"receiver b",           COMP_INTENDED, EMAC_DISABLED,
		"color",                COMP_CONTENTS, 0,
		"color",                COMP_USER_INTENDED, EMAC_ENABLED,
		"site a",               COMP_CONTENTS, obj [2],
		"site b",               COMP_CONTENTS, obj [10],
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [24], 
		"path",                 COMP_ARRAY_CONTENTS (0), obj [25],
		"path",                 COMP_ARRAY_CONTENTS (1), obj [26],
		"subnet",               COMP_CONTENTS, obj [0],
		"doc file",             COMP_CONTENTS, "",
		"doc file",             COMP_INTENDED, EMAC_DISABLED,
		"tooltip",              COMP_CONTENTS, "MEGACO LINK",
		"tooltip",              COMP_INTENDED, EMAC_DISABLED,
		"line style",           COMP_CONTENTS, "solid",
		"line style",           COMP_USER_INTENDED, EMAC_ENABLED,
		"thickness",            COMP_CONTENTS, 1,
		"thickness",            COMP_USER_INTENDED, EMAC_ENABLED,
		"arrowheads",           COMP_CONTENTS, "head and tail",
		"arrowheads",           COMP_USER_INTENDED, EMAC_ENABLED,
		"symbol",               COMP_CONTENTS, "none",
		"symbol",               COMP_USER_INTENDED, EMAC_ENABLED,
		"ui status",            COMP_CONTENTS, 0,
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [24], 
		"view paths",           COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);


	/* assign attrs for object 'obj [27]' */
	Ema_Object_Attr_Set (model_id, obj [27], 
		"name",                 COMP_CONTENTS, "Router <-> MG 4",
		"name",                 COMP_INTENDED, EMAC_DISABLED,
		"model",                COMP_CONTENTS, "megaco_link_v0",
		"model",                COMP_INTENDED, EMAC_DISABLED,
		"transmitter a",        COMP_CONTENTS, "Router.MG4_xmt",
		"transmitter a",        COMP_USER_INTENDED, EMAC_ENABLED,
		"transmitter b",        COMP_CONTENTS, "MG 4.xmt",
		"transmitter b",        COMP_INTENDED, EMAC_DISABLED,
		"receiver a",           COMP_CONTENTS, "Router.MG4_recv",
		"receiver a",           COMP_USER_INTENDED, EMAC_ENABLED,
		"receiver b",           COMP_CONTENTS, "MG 4.rcv",
		"receiver b",           COMP_INTENDED, EMAC_DISABLED,
		"color",                COMP_CONTENTS, 0,
		"color",                COMP_USER_INTENDED, EMAC_ENABLED,
		"site a",               COMP_CONTENTS, obj [2],
		"site b",               COMP_CONTENTS, obj [11],
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [27], 
		"path",                 COMP_ARRAY_CONTENTS (0), obj [28],
		"path",                 COMP_ARRAY_CONTENTS (1), obj [29],
		"subnet",               COMP_CONTENTS, obj [0],
		"doc file",             COMP_CONTENTS, "",
		"doc file",             COMP_INTENDED, EMAC_DISABLED,
		"tooltip",              COMP_CONTENTS, "MEGACO LINK",
		"tooltip",              COMP_INTENDED, EMAC_DISABLED,
		"line style",           COMP_CONTENTS, "solid",
		"line style",           COMP_USER_INTENDED, EMAC_ENABLED,
		"thickness",            COMP_CONTENTS, 1,
		"thickness",            COMP_USER_INTENDED, EMAC_ENABLED,
		"arrowheads",           COMP_CONTENTS, "head and tail",
		"arrowheads",           COMP_USER_INTENDED, EMAC_ENABLED,
		"symbol",               COMP_CONTENTS, "none",
		"symbol",               COMP_USER_INTENDED, EMAC_ENABLED,
		"ui status",            COMP_CONTENTS, 0,
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [27], 
		"view paths",           COMP_INTENDED, EMAC_DISABLED,
		EMAC_EOL);


	/* assign attrs for object 'obj [13]' */
	Ema_Object_Attr_Set (model_id, obj [13], 
		"x",                    COMP_CONTENTS, (double) -73.6,
		"y",                    COMP_CONTENTS, (double) 24,
		EMAC_EOL);


	/* assign attrs for object 'obj [14]' */
	Ema_Object_Attr_Set (model_id, obj [14], 
		"x",                    COMP_CONTENTS, (double) -42.8,
		"y",                    COMP_CONTENTS, (double) 7.59999999999999,
		EMAC_EOL);


	/* assign attrs for object 'obj [16]' */
	Ema_Object_Attr_Set (model_id, obj [16], 
		"x",                    COMP_CONTENTS, (double) -30.8,
		"y",                    COMP_CONTENTS, (double) 10.4,
		EMAC_EOL);


	/* assign attrs for object 'obj [17]' */
	Ema_Object_Attr_Set (model_id, obj [17], 
		"x",                    COMP_CONTENTS, (double) -30.8,
		"y",                    COMP_CONTENTS, (double) 30.4,
		EMAC_EOL);


	/* assign attrs for object 'obj [19]' */
	Ema_Object_Attr_Set (model_id, obj [19], 
		"x",                    COMP_CONTENTS, (double) -42.4,
		"y",                    COMP_CONTENTS, (double) 7.59999999999999,
		EMAC_EOL);


	/* assign attrs for object 'obj [20]' */
	Ema_Object_Attr_Set (model_id, obj [20], 
		"x",                    COMP_CONTENTS, (double) -41.6,
		"y",                    COMP_CONTENTS, (double) -10,
		EMAC_EOL);


	/* assign attrs for object 'obj [22]' */
	Ema_Object_Attr_Set (model_id, obj [22], 
		"x",                    COMP_CONTENTS, (double) -30,
		"y",                    COMP_CONTENTS, (double) 7.59999999999999,
		EMAC_EOL);


	/* assign attrs for object 'obj [23]' */
	Ema_Object_Attr_Set (model_id, obj [23], 
		"x",                    COMP_CONTENTS, (double) -2.80000000000001,
		"y",                    COMP_CONTENTS, (double) 22.8,
		EMAC_EOL);


	/* assign attrs for object 'obj [25]' */
	Ema_Object_Attr_Set (model_id, obj [25], 
		"x",                    COMP_CONTENTS, (double) -45.2,
		"y",                    COMP_CONTENTS, (double) 7.2,
		EMAC_EOL);


	/* assign attrs for object 'obj [26]' */
	Ema_Object_Attr_Set (model_id, obj [26], 
		"x",                    COMP_CONTENTS, (double) -79.2,
		"y",                    COMP_CONTENTS, (double) -3.59999999999999,
		EMAC_EOL);


	/* assign attrs for object 'obj [28]' */
	Ema_Object_Attr_Set (model_id, obj [28], 
		"x",                    COMP_CONTENTS, (double) -31.6,
		"y",                    COMP_CONTENTS, (double) 6.40000000000001,
		EMAC_EOL);


	/* assign attrs for object 'obj [29]' */
	Ema_Object_Attr_Set (model_id, obj [29], 
		"x",                    COMP_CONTENTS, (double) -2.40000000000001,
		"y",                    COMP_CONTENTS, (double) -4,
		EMAC_EOL);


	/* assign attrs for object 'obj [1]' */
	Ema_Object_Attr_Set (model_id, obj [1], 
		"min x",                COMP_CONTENTS, (double) -180.4,
		"min y",                COMP_CONTENTS, (double) 90,
		"sbar x",               COMP_CONTENTS, (double) 0,
		"sbar y",               COMP_CONTENTS, (double) 0,
		"grid step",            COMP_CONTENTS, (double) 15,
		"resolution",           COMP_CONTENTS, (double) 2.5,
		"grid style",           COMP_CONTENTS, 2,
		"grid color",           COMP_CONTENTS, 21,
		EMAC_EOL);


	/* assign attrs for object 'obj [30]' */
	Ema_Object_Attr_Set (model_id, obj [30], 
		"elevation",            COMP_CONTENTS, (double) 1e+100,
		"color",                COMP_CONTENTS, 1090519039,
		EMAC_EOL);


	/* assign attrs for object 'obj [31]' */
	Ema_Object_Attr_Set (model_id, obj [31], 
		"elevation",            COMP_CONTENTS, (double) 5000,
		"color",                COMP_CONTENTS, 1073741824,
		EMAC_EOL);


	/* assign attrs for object 'obj [32]' */
	Ema_Object_Attr_Set (model_id, obj [32], 
		"elevation",            COMP_CONTENTS, (double) 3000,
		"color",                COMP_CONTENTS, 1086806624,
		EMAC_EOL);


	/* assign attrs for object 'obj [33]' */
	Ema_Object_Attr_Set (model_id, obj [33], 
		"elevation",            COMP_CONTENTS, (double) 1000,
		"color",                COMP_CONTENTS, 1073795072,
		EMAC_EOL);


	/* assign attrs for object 'obj [34]' */
	Ema_Object_Attr_Set (model_id, obj [34], 
		"elevation",            COMP_CONTENTS, (double) 1,
		"color",                COMP_CONTENTS, 1079591136,
		EMAC_EOL);






	/* promoted attrs for object 'obj [3]' */
	Ema_Object_Prom_Attr_Set (model_id, obj [3], 
		"User Off-Hook Time (sec)", obj [4]);
	Ema_Object_Prom_Attr_Set (model_id, obj [3], 
		"MGC IP Port", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [3], 
		"MGC IP Address", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [3], 
		"MG IP Port", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [3], 
		"MG IP Address", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [3], 
		"MG Transaction ID", obj [6]);
	Ema_Object_Prom_Attr_Set (model_id, obj [3], 
		"User Dial-Up IP Address", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [3], 
		"User On-Hook Time (sec)", obj [4]);
	Ema_Object_Attr_Set (model_id, obj [3], 
		"User Off-Hook Time (sec)",COMP_PROMOTE, EMAC_DISABLED,
		"User Off-Hook Time (sec)",COMP_CONTENTS, (double) 50,
		"User Off-Hook Time (sec)",COMP_USER_INTENDED, EMAC_ENABLED,
		"MGC IP Port",          COMP_PROMOTE, EMAC_DISABLED,
		"MGC IP Port",          COMP_CONTENTS, "2944",
		"MGC IP Port",          COMP_USER_INTENDED, EMAC_ENABLED,
		"MGC IP Address",       COMP_PROMOTE, EMAC_DISABLED,
		"MGC IP Address",       COMP_CONTENTS, "172.16.0.1",
		"MGC IP Address",       COMP_USER_INTENDED, EMAC_ENABLED,
		"MG IP Port",           COMP_PROMOTE, EMAC_DISABLED,
		"MG IP Port",           COMP_CONTENTS, "5555",
		"MG IP Port",           COMP_USER_INTENDED, EMAC_ENABLED,
		"MG IP Address",        COMP_PROMOTE, EMAC_DISABLED,
		"MG IP Address",        COMP_CONTENTS, "172.16.0.2",
		"MG IP Address",        COMP_USER_INTENDED, EMAC_ENABLED,
		"MG Transaction ID",    COMP_PROMOTE, EMAC_DISABLED,
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [3], 
		"MG Transaction ID",    COMP_CONTENTS, 1000,
		"MG Transaction ID",    COMP_USER_INTENDED, EMAC_ENABLED,
		"User Dial-Up IP Address",COMP_PROMOTE, EMAC_DISABLED,
		"User Dial-Up IP Address",COMP_CONTENTS, "172.16.0.3",
		"User Dial-Up IP Address",COMP_USER_INTENDED, EMAC_ENABLED,
		"User On-Hook Time (sec)",COMP_PROMOTE, EMAC_DISABLED,
		"User On-Hook Time (sec)",COMP_CONTENTS, (double) 0,
		"User On-Hook Time (sec)",COMP_USER_INTENDED, EMAC_ENABLED,
		EMAC_EOL);


	/* promoted attrs for object 'obj [7]' */
	Ema_Object_Prom_Attr_Set (model_id, obj [7], 
		"User Off-Hook Time (sec)", obj [4]);
	Ema_Object_Prom_Attr_Set (model_id, obj [7], 
		"MGC IP Port", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [7], 
		"MGC IP Address", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [7], 
		"MG IP Port", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [7], 
		"MG IP Address", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [7], 
		"MG Transaction ID", obj [6]);
	Ema_Object_Prom_Attr_Set (model_id, obj [7], 
		"User Dial-Up IP Address", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [7], 
		"User On-Hook Time (sec)", obj [4]);
	Ema_Object_Prom_Attr_Set (model_id, obj [7], 
		"User Flash-Hook 1 Time (sec)", obj [4]);
	Ema_Object_Attr_Set (model_id, obj [7], 
		"User Off-Hook Time (sec)",COMP_PROMOTE, EMAC_DISABLED,
		"User Off-Hook Time (sec)",COMP_CONTENTS, (double) 90,
		"User Off-Hook Time (sec)",COMP_USER_INTENDED, EMAC_ENABLED,
		"MGC IP Port",          COMP_PROMOTE, EMAC_DISABLED,
		"MGC IP Port",          COMP_CONTENTS, "2944",
		"MGC IP Port",          COMP_USER_INTENDED, EMAC_ENABLED,
		"MGC IP Address",       COMP_PROMOTE, EMAC_DISABLED,
		"MGC IP Address",       COMP_CONTENTS, "172.16.0.1",
		"MGC IP Address",       COMP_USER_INTENDED, EMAC_ENABLED,
		"MG IP Port",           COMP_PROMOTE, EMAC_DISABLED,
		"MG IP Port",           COMP_CONTENTS, "5555",
		"MG IP Port",           COMP_USER_INTENDED, EMAC_ENABLED,
		"MG IP Address",        COMP_PROMOTE, EMAC_DISABLED,
		"MG IP Address",        COMP_CONTENTS, "172.16.0.4",
		"MG IP Address",        COMP_USER_INTENDED, EMAC_ENABLED,
		"MG Transaction ID",    COMP_PROMOTE, EMAC_DISABLED,
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [7], 
		"MG Transaction ID",    COMP_CONTENTS, 3000,
		"MG Transaction ID",    COMP_USER_INTENDED, EMAC_ENABLED,
		"User Dial-Up IP Address",COMP_PROMOTE, EMAC_DISABLED,
		"User Dial-Up IP Address",COMP_CONTENTS, "172.16.0.3",
		"User Dial-Up IP Address",COMP_USER_INTENDED, EMAC_ENABLED,
		"User On-Hook Time (sec)",COMP_PROMOTE, EMAC_DISABLED,
		"User On-Hook Time (sec)",COMP_CONTENTS, (double) 110,
		"User On-Hook Time (sec)",COMP_USER_INTENDED, EMAC_ENABLED,
		"User Flash-Hook 1 Time (sec)",COMP_PROMOTE, EMAC_DISABLED,
		"User Flash-Hook 1 Time (sec)",COMP_CONTENTS, (double) 0,
		"User Flash-Hook 1 Time (sec)",COMP_USER_INTENDED, EMAC_ENABLED,
		EMAC_EOL);


	/* promoted attrs for object 'obj [8]' */
	Ema_Object_Prom_Attr_Set (model_id, obj [8], 
		"MGC IP Address", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [8], 
		"MGC UDP Port", obj [5]);
	Ema_Object_Attr_Set (model_id, obj [8], 
		"MGC IP Address",       COMP_PROMOTE, EMAC_DISABLED,
		"MGC IP Address",       COMP_CONTENTS, "172.16.0.1",
		"MGC IP Address",       COMP_USER_INTENDED, EMAC_ENABLED,
		"MGC UDP Port",         COMP_PROMOTE, EMAC_DISABLED,
		"MGC UDP Port",         COMP_CONTENTS, "2944",
		"MGC UDP Port",         COMP_USER_INTENDED, EMAC_ENABLED,
		EMAC_EOL);


	/* promoted attrs for object 'obj [9]' */
	Ema_Object_Prom_Attr_Set (model_id, obj [9], 
		"User Off-Hook Time (sec)", obj [4]);
	Ema_Object_Prom_Attr_Set (model_id, obj [9], 
		"MGC IP Port", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [9], 
		"MGC IP Address", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [9], 
		"MG IP Port", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [9], 
		"MG IP Address", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [9], 
		"MG Transaction ID", obj [6]);
	Ema_Object_Prom_Attr_Set (model_id, obj [9], 
		"User Dial-Up IP Address", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [9], 
		"User On-Hook Time (sec)", obj [4]);
	Ema_Object_Attr_Set (model_id, obj [9], 
		"User Off-Hook Time (sec)",COMP_PROMOTE, EMAC_DISABLED,
		"User Off-Hook Time (sec)",COMP_CONTENTS, (double) 80,
		"User Off-Hook Time (sec)",COMP_USER_INTENDED, EMAC_ENABLED,
		"MGC IP Port",          COMP_PROMOTE, EMAC_DISABLED,
		"MGC IP Port",          COMP_CONTENTS, "2944",
		"MGC IP Port",          COMP_USER_INTENDED, EMAC_ENABLED,
		"MGC IP Address",       COMP_PROMOTE, EMAC_DISABLED,
		"MGC IP Address",       COMP_CONTENTS, "172.16.0.1",
		"MGC IP Address",       COMP_USER_INTENDED, EMAC_ENABLED,
		"MG IP Port",           COMP_PROMOTE, EMAC_DISABLED,
		"MG IP Port",           COMP_CONTENTS, "5555",
		"MG IP Port",           COMP_USER_INTENDED, EMAC_ENABLED,
		"MG IP Address",        COMP_PROMOTE, EMAC_DISABLED,
		"MG IP Address",        COMP_CONTENTS, "172.16.0.6",
		"MG IP Address",        COMP_USER_INTENDED, EMAC_ENABLED,
		"MG Transaction ID",    COMP_PROMOTE, EMAC_DISABLED,
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [9], 
		"MG Transaction ID",    COMP_CONTENTS, 5000,
		"MG Transaction ID",    COMP_USER_INTENDED, EMAC_ENABLED,
		"User Dial-Up IP Address",COMP_PROMOTE, EMAC_DISABLED,
		"User Dial-Up IP Address",COMP_CONTENTS, "",
		"User Dial-Up IP Address",COMP_USER_INTENDED, EMAC_ENABLED,
		"User On-Hook Time (sec)",COMP_PROMOTE, EMAC_DISABLED,
		"User On-Hook Time (sec)",COMP_CONTENTS, (double) 0,
		"User On-Hook Time (sec)",COMP_USER_INTENDED, EMAC_ENABLED,
		EMAC_EOL);


	/* promoted attrs for object 'obj [10]' */
	Ema_Object_Prom_Attr_Set (model_id, obj [10], 
		"User Off-Hook Time (sec)", obj [4]);
	Ema_Object_Prom_Attr_Set (model_id, obj [10], 
		"MGC IP Port", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [10], 
		"MGC IP Address", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [10], 
		"MG IP Port", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [10], 
		"MG IP Address", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [10], 
		"MG Transaction ID", obj [6]);
	Ema_Object_Prom_Attr_Set (model_id, obj [10], 
		"User Dial-Up IP Address", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [10], 
		"User On-Hook Time (sec)", obj [4]);
	Ema_Object_Prom_Attr_Set (model_id, obj [10], 
		"User Flash-Hook 1 Time (sec)", obj [4]);
	Ema_Object_Attr_Set (model_id, obj [10], 
		"User Off-Hook Time (sec)",COMP_PROMOTE, EMAC_DISABLED,
		"User Off-Hook Time (sec)",COMP_CONTENTS, (double) 60,
		"User Off-Hook Time (sec)",COMP_USER_INTENDED, EMAC_ENABLED,
		"MGC IP Port",          COMP_PROMOTE, EMAC_DISABLED,
		"MGC IP Port",          COMP_CONTENTS, "2944",
		"MGC IP Port",          COMP_USER_INTENDED, EMAC_ENABLED,
		"MGC IP Address",       COMP_PROMOTE, EMAC_DISABLED,
		"MGC IP Address",       COMP_CONTENTS, "172.16.0.1",
		"MGC IP Address",       COMP_USER_INTENDED, EMAC_ENABLED,
		"MG IP Port",           COMP_PROMOTE, EMAC_DISABLED,
		"MG IP Port",           COMP_CONTENTS, "5555",
		"MG IP Port",           COMP_USER_INTENDED, EMAC_ENABLED,
		"MG IP Address",        COMP_PROMOTE, EMAC_DISABLED,
		"MG IP Address",        COMP_CONTENTS, "172.16.0.3",
		"MG IP Address",        COMP_USER_INTENDED, EMAC_ENABLED,
		"MG Transaction ID",    COMP_PROMOTE, EMAC_DISABLED,
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [10], 
		"MG Transaction ID",    COMP_CONTENTS, 2000,
		"MG Transaction ID",    COMP_USER_INTENDED, EMAC_ENABLED,
		"User Dial-Up IP Address",COMP_PROMOTE, EMAC_DISABLED,
		"User Dial-Up IP Address",COMP_CONTENTS, "",
		"User Dial-Up IP Address",COMP_USER_INTENDED, EMAC_ENABLED,
		"User On-Hook Time (sec)",COMP_PROMOTE, EMAC_DISABLED,
		"User On-Hook Time (sec)",COMP_CONTENTS, (double) 130,
		"User On-Hook Time (sec)",COMP_USER_INTENDED, EMAC_ENABLED,
		"User Flash-Hook 1 Time (sec)",COMP_PROMOTE, EMAC_DISABLED,
		"User Flash-Hook 1 Time (sec)",COMP_CONTENTS, (double) 100,
		"User Flash-Hook 1 Time (sec)",COMP_USER_INTENDED, EMAC_ENABLED,
		EMAC_EOL);


	/* promoted attrs for object 'obj [11]' */
	Ema_Object_Prom_Attr_Set (model_id, obj [11], 
		"User Off-Hook Time (sec)", obj [4]);
	Ema_Object_Prom_Attr_Set (model_id, obj [11], 
		"MGC IP Port", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [11], 
		"MGC IP Address", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [11], 
		"MG IP Port", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [11], 
		"MG IP Address", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [11], 
		"MG Transaction ID", obj [6]);
	Ema_Object_Prom_Attr_Set (model_id, obj [11], 
		"User Dial-Up IP Address", obj [5]);
	Ema_Object_Prom_Attr_Set (model_id, obj [11], 
		"User On-Hook Time (sec)", obj [4]);
	Ema_Object_Prom_Attr_Set (model_id, obj [11], 
		"User Flash-Hook 1 Time (sec)", obj [4]);
	Ema_Object_Attr_Set (model_id, obj [11], 
		"User Off-Hook Time (sec)",COMP_PROMOTE, EMAC_DISABLED,
		"User Off-Hook Time (sec)",COMP_CONTENTS, (double) 70,
		"User Off-Hook Time (sec)",COMP_USER_INTENDED, EMAC_ENABLED,
		"MGC IP Port",          COMP_PROMOTE, EMAC_DISABLED,
		"MGC IP Port",          COMP_CONTENTS, "2944",
		"MGC IP Port",          COMP_USER_INTENDED, EMAC_ENABLED,
		"MGC IP Address",       COMP_PROMOTE, EMAC_DISABLED,
		"MGC IP Address",       COMP_CONTENTS, "172.16.0.1",
		"MGC IP Address",       COMP_USER_INTENDED, EMAC_ENABLED,
		"MG IP Port",           COMP_PROMOTE, EMAC_DISABLED,
		"MG IP Port",           COMP_CONTENTS, "5555",
		"MG IP Port",           COMP_USER_INTENDED, EMAC_ENABLED,
		"MG IP Address",        COMP_PROMOTE, EMAC_DISABLED,
		"MG IP Address",        COMP_CONTENTS, "172.16.0.5",
		"MG IP Address",        COMP_USER_INTENDED, EMAC_ENABLED,
		"MG Transaction ID",    COMP_PROMOTE, EMAC_DISABLED,
		EMAC_EOL);

	Ema_Object_Attr_Set (model_id, obj [11], 
		"MG Transaction ID",    COMP_CONTENTS, 4000,
		"MG Transaction ID",    COMP_USER_INTENDED, EMAC_ENABLED,
		"User Dial-Up IP Address",COMP_PROMOTE, EMAC_DISABLED,
		"User Dial-Up IP Address",COMP_CONTENTS, "172.16.0.6",
		"User Dial-Up IP Address",COMP_USER_INTENDED, EMAC_ENABLED,
		"User On-Hook Time (sec)",COMP_PROMOTE, EMAC_DISABLED,
		"User On-Hook Time (sec)",COMP_CONTENTS, (double) 150,
		"User On-Hook Time (sec)",COMP_USER_INTENDED, EMAC_ENABLED,
		"User Flash-Hook 1 Time (sec)",COMP_PROMOTE, EMAC_DISABLED,
		"User Flash-Hook 1 Time (sec)",COMP_CONTENTS, (double) 0,
		"User Flash-Hook 1 Time (sec)",COMP_USER_INTENDED, EMAC_ENABLED,
		EMAC_EOL);




	/* write the model to application-readable form */
	Ema_Model_Write (model_id, "megaco-multiple_call");

	return 0;
	}

